# Type alias QueueItem

QueueItem: {
callbacks: QueueItemCallback[];
cid: string;
controller?: AbortController;
executionTime?: number;
source: QueueSource;
status: QueueItemStatus;
} & Omit<QueueItemOptions, "initialSource">

#### Type declaration

- ##### callbacks: QueueItemCallback[]

- ##### cid: string

- ##### `Optional` controller?: AbortController

- ##### `Optional` executionTime?: number

- ##### source: QueueSource

- ##### status: QueueItemStatus

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/types.ts:56